# File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.

from typing import Optional
from typing_extensions import Literal

from .._models import BaseModel

__all__ = ["Agent"]


class Agent(BaseModel):
    agent_id: Optional[str] = None

    agent_type: Optional[Literal["standard", "platform_agent"]] = None

    description: Optional[str] = None

    http_method: Optional[str] = None

    name: Optional[str] = None

    platform_url: Optional[str] = None

    request_template: Optional[object] = None

    response_config: Optional[object] = None

    system_prompt: Optional[str] = None

    version: Optional[str] = None
