# File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.

from __future__ import annotations

from typing_extensions import Literal, Required, TypedDict

__all__ = ["AgentCreateParams"]


class AgentCreateParams(TypedDict, total=False):
    description: Required[str]
    """Description of the agent's purpose and capabilities"""

    name: Required[str]
    """Name of the agent"""

    agent_type: Literal["standard", "platform_agent"]

    http_method: str

    platform_url: str

    request_template: object

    response_config: object

    system_prompt: str
    """Optional system prompt to guide agent behavior"""
